%define	module  pybox2d

Name:           python-%{module}
Version:        2.3.10
Release:        %mkrel 5
Summary:        A 2D rigid body simulation library for Python

Group:          Development/Python
License:        zlib
URL:            https://github.com/pybox2d/pybox2d
Source0:        https://github.com/pybox2d/pybox2d/archive/%{version}/%{module}-%{version}.tar.gz

BuildRequires:  python3-devel

%description
Programmer's can use Box2D in their games to make objects move in
believable ways and make the world seem more interactive. From the
game's point of view a physics engine is just a system for procedural
animation. Rather than paying (or begging) an animator to move your
actors around, you can let Sir Isaac Newton do the directing.

%package -n python3-%{module}
Summary:        A 2D rigid body simulation library for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  gcc
BuildRequires:  swig
Provides:       %{module} = %{version}-%{release}
Provides:       python-pybox2d = %{version}-%{release}
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Programmer's can use Box2D in their games to make objects move in
believable ways and make the world seem more interactive. From the
game's point of view a physics engine is just a system for procedural
animation. Rather than paying (or begging) an animator to move your
actors around, you can let Sir Isaac Newton do the directing.


%prep
%autosetup -n %{module}-%{version} -p1

# calm rpmlint down
sed -i LICENSE README.md -e 's/\r//'
chmod go-w -R *


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files Box2D

# calm rpmlint down
sed -i %{buildroot}%{python3_sitearch}/Box2D/__init__.py -e 1d
sed -i %{buildroot}%{python3_sitearch}/Box2D/__init__.py -e 's/\r//'


%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.3.10-5.mga10
+ Revision: 2238725
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.3.10-4.mga10
+ Revision: 2155561
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 2.3.10-3.mga10
+ Revision: 2017993
- rebuild for python3.12
- adapt to pyproject

* Sat Mar 26 2022 umeabot <umeabot> 2.3.10-2.mga9
+ Revision: 1827820
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 2.3.10-1.mga9
+ Revision: 1783263
- version 2.3.10
- delete Patch0 which no longer applies
- update files list
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 2.3.2-3.mga9
+ Revision: 1717162
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.3.2-2.mga8
+ Revision: 1534316
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 daviddavid <daviddavid> 2.3.2-1.mga8
+ Revision: 1449030
- new version: 2.3.2
- port to python3
- drop python2 support

* Sun Sep 23 2018 daviddavid <daviddavid> 2.0.2b2-11.mga7
+ Revision: 1297111
- rename python-pybox2d to python2-pybox2d

* Fri Mar 18 2016 daviddavid <daviddavid> 2.0.2b2-10.mga6
+ Revision: 992806
- add patch from fedora to fix build against swig 3.0.3 and higher
- use new python macros
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2b2-9.mga5
+ Revision: 742029
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.2b2-8.mga5
+ Revision: 729423
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2b2-7.mga5
+ Revision: 688240
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0.2b2-5.mga4
+ Revision: 543971
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.2b2-4.mga4
+ Revision: 499154
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 17 2013 zezinho <zezinho> 2.0.2b2-3.mga4
+ Revision: 480969
- renamed according to mageia python policy

* Sun Jan 13 2013 umeabot <umeabot> 2.0.2b2-2.mga3
+ Revision: 378388
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 zezinho <zezinho> 2.0.2b2-1.mga3
+ Revision: 332788
- better spec
- imported package pybox2d

